%global _hardened_build 1
%global snapshot_commit 024b00bfd7c8cb27d09188ddc239391c2c05bac4

Name:           adwaita-qt
Version:        0
Release:        0.5.20141216git%(echo %{snapshot_commit} | cut -c-8)%{?dist}
License:        LGPLv2+
Summary:        Adwaita theme for Qt-based applications

Url:            https://github.com/MartinBriza/adwaita-qt
Source0:        https://github.com/MartinBriza/adwaita-qt/archive/%{snapshot_commit}.tar.gz

BuildRequires:  cmake
BuildRequires:  qt4-devel
#BuildRequires:  qt5-qtbase-devel

Requires:       adwaita-qt4

%description
Theme to let Qt applications fit nicely into Fedora Workstation


%package common
Summary:        Adwaita Qt theme shared files
BuildArch:      noarch
Requires:       oxygen-icon-theme

%description common
Common files (assets, etc.) for the Adwaita Qt theme

%package -n adwaita-qt4
Summary:        Adwaita Qt4 theme
Requires:       qt4
Requires:       adwaita-qt-common

%description -n adwaita-qt4
Adwaita theme variant for applications utilizing Qt4


#package -n adwaita-qt5
#Summary:        Adwaita Qt5 theme
#Requires:       qt5-qtbase
#Requires:       adwaita-qt-common
#
#description
#Adwaita theme variant for applications utilizing Qt5


%prep
%setup -q -n %{name}-%{snapshot_commit}


%build
mkdir -p "%{_target_platform}-qt4"
pushd "%{_target_platform}-qt4"
%{cmake} ..
popd

#mkdir -p "#{_target_platform}-qt5"
#pushd "#{_target_platform}-qt5"
#{cmake} -DUSE_QT5=true ..
#popd

make %{?_smp_mflags} -C "%{_target_platform}-qt4"
#make #{?_smp_mflags} -C "#{_target_platform}-qt5"


%install
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}-qt4"
#make install/fast DESTDIR=#{buildroot} -C "#{_target_platform}-qt5"

%files common
%{_datadir}/themes/Adwaita/qt4/*

%files -n adwaita-qt4
%doc LICENSE.LGPL2 README.md
%{_qt4_plugindir}/styles/adwaita.so

%files

%changelog
* Fri Jan 16 2015 Martin Briza <mbriza@redhat.com> - 0-0.5
- Package review cleanup
- Split into a base and a subpackage
- Fedora import

* Tue Dec 16 2014 Martin Briza <mbriza@redhat.com> - 0-0.4.copr
- Update to latest commit

* Fri Dec 05 2014 Martin Briza <mbriza@redhat.com> - 0-0.3.copr
- Update to latest commit

* Mon Sep 15 2014 Martin Briza <mbriza@redhat.com> - 0-0.2.copr
- Update to latest commit

* Mon Sep 15 2014 Martin Briza <mbriza@redhat.com> - 0-0.1.copr
- Initial build
